%global commit      0df5ad7f185f1eec79d30d66924d2e5a548c31a1
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global commitdate  20180412

%global dbus_type   session


Name:           libgsignon-glib
Summary:        GLib API for the SSO framework
Version:        2.4.1
Release:        6.%{commitdate}.git%{shortcommit}%{?dist}
License:        LGPLv2

URL:            https://gitlab.com/accounts-sso/%{name}
Source0:        %{url}/-/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  gettext
BuildRequires:  gtk-doc
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  vala-tools

BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)

Requires:       dbus%{?_isa}
Requires:       gsignond%{?_isa}


%description
This project is a library for managing single signon credentials which
can be used from GLib applications. It is effectively a GLib binding for
the D-Bus API provided by gsignond.


%package        devel
Summary:        GLib API for the SSO framework (development files)
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This project is a library for managing single signon credentials which
can be used from GLib applications. It is effectively a GLib binding for
the D-Bus API provided by gsignond.

This package contains the development headers.


%package        example
Summary:        GLib API for the SSO framework (example client)
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    example
This project is a library for managing single signon credentials which
can be used from GLib applications. It is effectively a GLib binding for
the D-Bus API provided by gsignond.

This package contains the example client.


%prep
%autosetup -n %{name}-%{commit}


%build
NOCONFIGURE=1 ./autogen.sh

%configure --enable-dbus-type=%{dbus_type}

%make_build


%install
%make_install

find %{buildroot} -name '*.la' -print -delete


%files
%license COPYING

%{_libdir}/libgsignon-glib.so.1
%{_libdir}/libgsignon-glib.so.1.0.0

%{_libdir}/girepository-1.0/gSignon-1.0.typelib


%files devel
%{_libdir}/libgsignon-glib.so
%{_libdir}/pkgconfig/libgsignon-glib.pc

%{_includedir}/libgsignon-glib/

%{_datadir}/gir-1.0/gSignon-1.0.gir
%{_datadir}/vala/vapi/libgsignon-glib.deps
%{_datadir}/vala/vapi/libgsignon-glib.vapi


%files example
%{_bindir}/gsso-example


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-6.20180412.git0df5ad7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Apr 14 2018 Fabio Valentini <decathorpe@gmail.com> - 2.4.1-5.20180412.git0df5ad7
- Bump to commit 0df5ad7.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-4.20161228.git03d9c64
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-3.20161228.git03d9c64
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-2.20161228.git03d9c64
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Apr 15 2017 Fabio Valentini <decathorpe@gmail.com> - 2.4.1-1.20161228.git03d9c64
- Initial package.

